=== debian/changelog ===
ros-one-mbf-costmap-nav (0.4.0-42jammy.20251023.1533) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Sebastian Pütz <spuetz@uos.de>  Thu, 23 Oct 2025 15:33:51 +0000

ros-one-mbf-costmap-nav (0.4.0-0jammy) jammy; urgency=high

  * make the costmaps used for planning and controlling configurable, see #278
  * return empty footprint if partly outside of the map, see #272
  * add tf_transform_ptr to the abstract planner execution, see #256
  * transform pose to global frame before calling planner in costmap planner execution, see #256

 -- Sebastian Pütz <spuetz@uos.de>  Tue, 26 Oct 2021 00:00:00 -0000

ros-one-mbf-costmap-nav (0.3.4-0jammy) jammy; urgency=high

  * fix blind driving, see #243

 -- Sebastian Pütz <spuetz@uos.de>  Wed, 02 Dec 2020 00:00:00 -0000

ros-one-mbf-costmap-nav (0.3.3-0jammy) jammy; urgency=high

  * Fix controller fails if robot pose gets older than tf_timeout, see #231
  * clear the costmap before deactivating it, see #220
  * Use catkin_install_python to install legacy relay. see #219
  * For move_base_legacy_relay, keep configured base local and global planners to send to MBF, see #209
  * Fix deallocation on shutdown by discarding all plugins and resetting action server pointers, see #199
  * Make reference symbol position consistent across the project, see #198
  * Move RobotInformation to mbf_utility, as it can be used generaly, see #196
  * Prevent unrelated type casts for Cell, see #197

 -- Sebastian Pütz <spuetz@uos.de>  Thu, 05 Nov 2020 00:00:00 -0000

ros-one-mbf-costmap-nav (0.3.2-0jammy) jammy; urgency=high

  * Remove dependency on base_local_planner and move FootprintHelper class to mbf_costmap_nav and make it static

 -- Sebastian Pütz <spuetz@uos.de>  Mon, 25 May 2020 00:00:00 -0000

ros-one-mbf-costmap-nav (0.3.1-0jammy) jammy; urgency=high

  * Ensure that check_costmap_mutex is destroyed after timer.
  * Avoid crash on shutdown by stop shutdown_costmap_timer on destructor
    and explicitly call the costmap_nav_srv destructor

 -- Sebastian Pütz <spuetz@uos.de>  Tue, 07 Apr 2020 00:00:00 -0000

ros-one-mbf-costmap-nav (0.3.0-0jammy) jammy; urgency=high

  * add output for cancel method if nav_core plugin is wrapped
  * unify license declaration to BSD-3

 -- Sebastian Pütz <spuetz@uos.de>  Tue, 31 Mar 2020 00:00:00 -0000

ros-one-mbf-costmap-nav (0.2.5-0jammy) jammy; urgency=high

  * Add clear_on_shutdown functionality
  * Do not pass boost functions to abstract server to (de)activate costmaps.
    Run instead abstract methods (possibly) overridden in the costmap server,
    all costmap-related handling refactored to a new CostmapWrapper class
  * On controller execution, check that local costmap is current

 -- Sebastian Pütz <spuetz@uos.de>  Fri, 11 Oct 2019 00:00:00 -0000

ros-one-mbf-costmap-nav (0.2.4-0jammy) jammy; urgency=high

  * Add check_point_cost service
  * Lock costmaps on clear_costmaps service
  * Replace recursive mutexes with normal ones when not needed

 -- Sebastian Pütz <spuetz@uos.de>  Sun, 16 Jun 2019 00:00:00 -0000

ros-one-mbf-costmap-nav (0.2.3-0jammy) jammy; urgency=high

  * single publisher for controller execution objects

 -- Sebastian Pütz <spuetz@uos.de>  Wed, 14 Nov 2018 00:00:00 -0000

ros-one-mbf-costmap-nav (0.2.2-0jammy) jammy; urgency=high

  * Do not use MultiThreadedSpinner, as costmap updates can crash when combining laser scans and point clouds
  * Make start/stop costmaps mutexed, since concurrent calls to start can lead to segfaults

 -- Sebastian Pütz <spuetz@uos.de>  Wed, 10 Oct 2018 00:00:00 -0000

ros-one-mbf-costmap-nav (0.2.1-0jammy) jammy; urgency=high

  * Make MBF melodic and indigo compatible
  * Fix GoalHandle references bug in callbacks

 -- Sebastian Pütz <spuetz@uos.de>  Wed, 03 Oct 2018 00:00:00 -0000

ros-one-mbf-costmap-nav (0.2.0-0jammy) jammy; urgency=high

  * Update copyright and 3-clause-BSD license
  * Concurrency for planners, controllers and recovery behaviors

 -- Sebastian Pütz <spuetz@uos.de>  Tue, 11 Sep 2018 00:00:00 -0000

ros-one-mbf-costmap-nav (0.1.0-0jammy) jammy; urgency=high

  * First release of move_base_flex for kinetic and lunar

 -- Sebastian Pütz <spuetz@uos.de>  Thu, 22 Mar 2018 00:00:00 -0000
