## ros-one-mbf-costmap-nav 0.4.0-42noble.20260222.2152

=== debian/changelog ===
ros-one-mbf-costmap-nav (0.4.0-42noble.20260222.2152) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Sebastian Pütz <spuetz@uos.de>  Sun, 22 Feb 2026 21:52:47 +0000
